#!/bin/sh

# Get an updated config.sub and config.guess
cp $BUILD_PREFIX/share/libtool/build-aux/config.* build-aux/

./configure --prefix=${PREFIX} --host=${HOST}
make -j${CPU_COUNT} ${VERBOSE_AT}

# TODO :: Skipped on macOS because of a single test failure:
#
# Checking ./189.eval
# @ ../doc/m4.texi:6405: Origin of test
# ./189.eval: stdout mismatch
# --- m4-tmp.37124/m4-xout	2017-08-28 17:12:33.000000000 -0700
# +++ m4-tmp.37124/m4-out	2017-08-28 17:12:33.000000000 -0700
# @@ -2,8 +2,8 @@
#
#  1
#  1
# -overflow occurred
# --2147483648
# +
# +2147483648
#  0
#  -2
#  -2
if [[ "$CONDA_BUILD_CROSS_COMPILATION" != "1" ]]; then
    if [[ ${target_platform} =~ .*osx.* ]]; then
        rm checks/189.*
        make check || { echo "TEST RESULTS"; cat tests/test-suite.log; true; }
    # this particular test has issues running on ppc64le.  We're skipping it for now
    elif [[ ${target_platform} =~ .*ppc.* ]]; then
        rm checks/198.*
        make check || { echo "TEST RESULTS"; cat tests/test-suite.log; true; }
    else
        make check || { echo "TEST RESULTS"; cat tests/test-suite.log; exit 1; }
    fi
fi
make install
